Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 74873

Summary: dynamic rpm dependency handling
Product: [Retired] Red Hat Linux Reporter: Karsten Hopp <karsten>
Component: redhat-config-networkAssignee: Harald Hoyer <harald>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: mpc, rob, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-06-04 09:44:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 75091, 75176, 75241    
Bug Blocks: 81720    

Description Karsten Hopp 2002-10-02 14:20:13 UTC
Description of Problem: 
DSL, ISDN or LAN users don't need wvdial but they are forced to 
install it for redhat-config-network. 
neat should check for wvdial at runtime and pop up a window with a 
message that wvdial is needed when the user tries to configure a 
modem interface. 
 
 
Version-Release number of selected component (if applicable): 
 
 
How Reproducible: 
 
 
Steps to Reproduce: 
1.  
2.  
3.  
 
Actual Results: 
 
 
Expected Results: 
 
 
Additional Information:

Comment 1 Karsten Hopp 2002-10-02 14:47:29 UTC
We should avoid to add unneccessary dependencies, we already have way 
too many of them.

Comment 2 Harald Hoyer 2002-10-02 14:51:55 UTC
the trouble unexperienced users get in is worse than this dependency ...

Comment 3 Karsten Hopp 2002-10-02 15:00:56 UTC
Hmmm,  neat is supposed to configure DSL, but has no requirement on 
rp-pppoe. Do you think unexperienced users will find the solution 
for this ?  
I still think that askng the user to insert the CD and then 
 install the wvdial package would be the correct way here ;-)

Comment 4 Florian La Roche 2002-10-16 11:33:41 UTC
at least this dependency should go for the mainframe port

Florian La Roche


Comment 5 Harald Hoyer 2003-01-13 11:58:01 UTC
*** Bug 75063 has been marked as a duplicate of this bug. ***

Comment 6 Harald Hoyer 2003-01-13 14:44:34 UTC
*** Bug 76199 has been marked as a duplicate of this bug. ***

Comment 7 Harald Hoyer 2003-02-04 16:41:43 UTC
unknown dependencies are now removed.
user is instructed to install the missing packages, before he can add a device.

Comment 8 Harald Hoyer 2004-06-04 09:44:13 UTC
Closing due to inactivity. Reopen, if the problem is still existing.